# ArgusSamples::CaptureConsumerThread Class Reference

Inheritance diagram for ArgusSamples::CaptureConsumerThread:

List of all members.

## Public Member Functions

| CaptureConsumerThread (OutputStream *stream)
| ~CaptureConsumerThread ()

## Private Member Functions

bool | threadInitialize ()
bool | threadShutdown ()
bool | processV4L2Fd (int32_t fd, uint64_t frameNumber)

## Private Attributes

NvJPEGEncoder * | m_JpegEncoder
unsigned char * | m_OutputBuffer

## Detailed Description

Definition at line 229 of file main.cpp.

## Constructor & Destructor Documentation

ArgusSamples::CaptureConsumerThread::CaptureConsumerThread | ( | OutputStream * | stream | ) |

Definition at line 244 of file main.cpp.

ArgusSamples::CaptureConsumerThread::~CaptureConsumerThread | ( |  | ) |

Definition at line 251 of file main.cpp.

## Member Function Documentation

bool ArgusSamples::CaptureConsumerThread::processV4L2Fd | ( | int32_t | fd,
|  | uint64_t | frameNumber |
| ) |  |  | `[private, virtual]`

Implements ArgusSamples::ConsumerThread.

Definition at line 287 of file main.cpp.

bool ArgusSamples::CaptureConsumerThread::threadInitialize | ( |  | ) | `[private, virtual]`

Reimplemented from ArgusSamples::ConsumerThread.

Definition at line 260 of file main.cpp.

bool ArgusSamples::CaptureConsumerThread::threadShutdown | ( |  | ) | `[private, virtual]`

Reimplemented from ArgusSamples::ConsumerThread.

Definition at line 279 of file main.cpp.

## Member Data Documentation

NvJPEGEncoder* ArgusSamples::CaptureConsumerThread::m_JpegEncoder `[private]`

Definition at line 240 of file main.cpp.

unsigned char* ArgusSamples::CaptureConsumerThread::m_OutputBuffer `[private]`

Definition at line 241 of file main.cpp.

The documentation for this class was generated from the following file:

- samples/09_camera_jpeg_capture/main.cpp